/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/
#ifndef __CLPEP_H__
#define __CLPEP_H__

#include <e32base.h>

typedef unsigned char SQLTCHAR;

class CCLPObserver 
{
public:
  virtual void print1_ep(SQLTCHAR* msg) = 0;
};

class CCLPEng : public CBase
{
// Construction
public:
  IMPORT_C static CCLPEng* NewL(CCLPObserver *const aObserver);
  IMPORT_C static CCLPEng* NewLC(CCLPObserver *const aObserver);
protected:
  CCLPEng(CCLPObserver *const aObserver);
  void ConstructL();
// Destruction
public:
  ~CCLPEng();
// Public functions
public:
  void print1_ep(SQLTCHAR* msg);

// Linked data
protected:
  CCLPObserver *const iObserver;
};

#endif // __CLPEP_H__
