/*******************************************************************************
 **
 ** Licensed Materials - Property of IBM
 **
 ** (C) COPYRIGHT International Business Machines Corp. 2000, 2001
 ** All Rights Reserved.
 **
 ******************************************************************************/

#ifndef __CLPCOMMON_H__
#define __CLPCOMMON_H__

#define Black             TRgb(0,0,0)          
#define DarkGray          TRgb(170,170,170)
#define MedGray           TRgb(200,200,200)
#define LightGray         TRgb(204,204,204)
#define Gray              TRgb(238,238,238)
#define White             TRgb(255,255,255)

#define ColorDKBlue       TRgb(3,6,77)        // Dark Blue
#define ColorWebBlue      TRgb(3,6,207)       // Web Blue
#define ColorTurquois     TRgb(300,250,250)   // Turquois
#define ColorLtBlue       TRgb(23,56,87)      // Light Blue

#define ColorDrkPurple    TRgb(123,56,87)     // Dark Purple
#define ColorRed          TRgb(235,6,7)       // Red
#define ColorBrick        TRgb(238,106,107)   // Brick

#define ColorDrkGreen     TRgb(23,226,7)      // Dark Green
#define ColorBrtGreen     TRgb(3,226,77)      // Bright Green
#define ColorLimeGreen    TRgb(223,226,7)     // Lime Green


#define ColorBrtYellow    TRgb(250,250,2)     // Bright Yellow
#define ColorShiffon      TRgb(250,250,130)   // Shiffon Yellow
#define ColorPlYellow     TRgb(250,250,199)   // Pale Yellow

/*****************************************************************************/
/** Declaration of ENUM                                                     **/
/*****************************************************************************/

enum TViewType{
  EViewNull,
  EViewSplash,  
  EViewClp, 
};

#endif  // __CLPCOMMON_H__
