package java.sql;

/* 
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2000 All Rights Reserved
 */

import java.io.InputStream;

public interface Blob {

   public long length() throws SQLException;

   public byte[] getBytes(long pos, int length) throws SQLException;

   public InputStream getBinaryStream() throws SQLException;

   public long position(byte[] pattern, long start) throws SQLException;

   public long position(Blob pattern, long start) throws SQLException;

}

